| | |
| | | using Autodesk.Revit.DB;
|
| | | using Autodesk.Revit.DB.Plumbing;
|
| | | using Autodesk.Revit.UI;
|
| | | using DevExpress.Utils.Extensions;
|
| | | using Hydro.Core.Model;
|
| | | using Hydro.Revit;
|
| | | using Hydro.Revit.Model;
|
| | | using HStation.RevitDev.RevitDataExport.Utility;
|
| | | using HStation.RevitDev.RevitDataExport.Common;
|
| | | using System;
|
| | | using System.Collections.Generic;
|
| | | using System.ComponentModel;
|
| | | using System.Data;
|
| | | using System.Drawing;
|
| | | using System.Linq;
|
| | | using System.Text;
|
| | | using System.Threading.Tasks;
|
| | | using System.Windows.Forms;
|
| | |
|
| | | namespace HStation.RevitDev.RevitDataExport.Forms
|
| | |
| | | private View3D Set3DView()
|
| | | {
|
| | | var view3d = ViewHelper.Get3dView(_doc);
|
| | | if (view3d != null) { return null; }
|
| | | _uiDocument.ActiveView = view3d;
|
| | | return view3d;
|
| | | }
|
| | |
| | |
|
| | | if (cell.Value == null) { return; }
|
| | | var view = Set3DView();
|
| | | if (view == null)
|
| | | {
|
| | | return;
|
| | | }
|
| | |
|
| | | var cellText = cell.Value.ToString();
|
| | | if (dataGridView1.Columns[columnIndex].HeaderText == "ID")
|
| | |
| | | private void button1_Click(object sender, EventArgs e)
|
| | | {
|
| | | _form_SystemSelect.SetCheckIndexs();
|
| | | //this.model = _form_SystemSelect.GetNetWrok();
|
| | | this.model = _form_SystemSelect.GetNetWrok();
|
| | | dataGridView1.Refresh();
|
| | | }
|
| | |
|